#ifndef BATTERYWIDGET_H
#define BATTERYWIDGET_H

#include <QWidget>

namespace Ui {
class BatteryWidget;
}

class BatteryWidget : public QWidget
{
    Q_OBJECT

public:
    explicit BatteryWidget(QWidget *parent = 0);
    ~BatteryWidget();

    void setTitle(QString title);               // Название батареи (как определено в ОС Linux)
    void setPercentage(int percentage);         // Процент заряда
    void setChargeTime(int chargeTime);         // Время до полного заряда в минутах
    void setRemainingTime(int remainingTime);   // Время до полного разряда в минутах
    void setChargeState(QString chargeState);   // Состояние

private:
    Ui::BatteryWidget *ui;
};

#endif // BATTERYWIDGET_H
