#ifndef THERMALWIDGET_H
#define THERMALWIDGET_H

#include <QWidget>

namespace Ui {
class ThermalWidget;
}

class ThermalWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ThermalWidget(QWidget *parent = 0);
    ~ThermalWidget();

    void setTitle(QString title);           // Наименование тепловой зоны
    void setTemperature(int temperature);   // Температура
    void setFrequency(int freq);            // Частота

private:
    Ui::ThermalWidget *ui;
};

#endif // THERMALWIDGET_H
